from vcCommand import *
app = getApplication()


def my_state():
  sm = app.SelectionManager
  features = sm.getSelection(VC_SELECTION_FEATURE)
  
  context = app.AuthorContext
  
  select_these = []
  for feature in features:
    if feature.Type == "Geometry":
      geometrySets = feature.Geometry.GeometrySets
      for geometrySet in geometrySets:
        geometrySet.HasMaterialInheritance = True
        geometrySet.Material = None
        geometrySet.Material = context.ActiveComponent.Material
        feature.rebuild()
    else:
      features.extend(feature.Children)
  print "Clear Success"


addState(my_state)

